testdbfawk(1)

NAME
testdbfawk - scan dbfawk files for matching dbf file for map rendering in xastir

SYNOPSIS
testdbfawk [-f file.awk| -D dir] -d file.dbf

DESCRIPTION
Scan dbfawk files for matching dbf file for map rendering in xastir

--help prints command line usage
-D for dir containing *.dbfawk files.
-f for file containing awk rules.
-d for dbf file to parse

EXAMPLES
testdbfawk -D . -d tgr36119lkA.dbf 2>&1|less testdbfawk scans the current directory for dbfawk files with signatures that match tgr36119lkA.dbf's signature. testdbfawk dumps its output to standard error, so in the example standard error is redirected to standard out and piped into "less" for paging.

NOTES
Dbfawk hints and kinks: You have to think like an awk programmer and realize that the order that rules are listed matters, that it's important to use "next" as soon as it makes sense so other rules aren't looked at unnecessarily and, to use "skip" when you want to fix bad dbf data.

SEE ALSO
README.MAPS in xastir documentation

APRS[tm] is a Trademark of Bob Bruninga, his home page is at "http://www.aprs.org/aprs.html"

COPYING
Copyright (C) 1999,2000 Frank Giannandrea KC2GJS
Copyright (C) 2000-2010 The Xastir Group